;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10 -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          onlisp.asd
;;;; Purpose:       ASDF definition file for onlisp package
;;;; Programmer:    Kevin M. Rosenberg
;;;; Date Started:  06 Sep 2002
;;;;
;;;; Users are granted the rights to distribute and use this software
;;;; as governed by the terms of the GNU Public License
;;;; *************************************************************************

(in-package #:cl-user)
(defpackage #:onlisp-system (:use #:asdf #:common-lisp))
(in-package #:onlisp-system)

(defclass file-warn-only (cl-source-file) ())

(defmethod perform :around ((op compile-op) (c file-warn-only))
  (setf (operation-on-failure op) :warn)
  (call-next-method))

(defsystem :onlisp
  :components 
  ((file-warn-only "onlisp")))


